gtkmm 2.4: Gtk::TargetList Class Reference

Main Page Widgets Namespaces Book

# Gtk::TargetList Class Reference

List of all members.

## Public Member Functions
void | add (const ArrayHandle_TargetEntry& targets)
void | add (const Glib::ustring& target, TargetFlags flags=TargetFlags(0), guint info=0)
| Appends another target to a Gtk::TargetList.
bool | find (const Glib::ustring& target, guint* info) const
| Looks up a given target in a Gtk::TargetList.
const GtkTargetList* | gobj () const
| Provides access to the underlying C instance.
GtkTargetList* | gobj ()
| Provides access to the underlying C instance.
GtkTargetList* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | reference () const
void | remove (const Glib::ustring& target)
| Removes a target from a target list.
void | unreference () const
## Static Public Member Functions
static Glib::RefPtr<Gtk::TargetList> | create (const ArrayHandle_TargetEntry& targets)
## Protected Member Functions
void | operator delete (void*, size_t)
| TargetList ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::TargetList> | wrap (GtkTargetList* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gtk::TargetList::TargetList | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::TargetList::add | ( | const ArrayHandle_TargetEntry & | targets | ) |

void Gtk::TargetList::add | ( | const Glib::ustring & | target,
|  | TargetFlags | flags = `TargetFlags(0)`,
|  | guint | info = `0` |
| ) |  |  |

Appends another target to a Gtk::TargetList.

Parameters:

  | target | The interned atom representing the target.
  | flags | The flags for this target.
  | info | An ID that will be passed back to the application.

static Glib::RefPtr<Gtk::TargetList> Gtk::TargetList::create | ( | const ArrayHandle_TargetEntry & | targets | ) | `[static]`

bool Gtk::TargetList::find | ( | const Glib::ustring & | target,
|  | guint * | info |
| ) |  |  | const

Looks up a given target in a Gtk::TargetList.

Parameters:

  | target | An interned atom representing the target to search for.
  | info | A pointer to the location to store application info for target.

Returns:
  `true` if the target was found, otherwise `false`.

const GtkTargetList* Gtk::TargetList::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GtkTargetList* Gtk::TargetList::gobj | ( |  | ) |

Provides access to the underlying C instance.

GtkTargetList* Gtk::TargetList::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::TargetList::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gtk::TargetList::reference | ( |  | ) | const

void Gtk::TargetList::remove | ( | const Glib::ustring & | target | ) |

Removes a target from a target list.

Parameters:

  | target | The interned atom representing the target.

void Gtk::TargetList::unreference | ( |  | ) | const

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TargetList> wrap | ( | GtkTargetList * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- targetlist.h